rte_regexdev_info(3)

NAME
rte_regexdev_info

SYNOPSIS

#include <rte_regexdev.h>

  Data Fields

const char * driver_name
struct rte_device * dev
uint16_t max_matches
uint16_t max_queue_pairs
uint16_t max_payload_size
uint16_t max_segs
uint32_t max_rules_per_group
uint16_t max_groups
uint32_t regexdev_capa
uint64_t rule_flags

Detailed Description

RegEx device information

Definition at line 602 of file rte_regexdev.h.

Field Documentation

  const char* driver_name
RegEx driver name.

Definition at line 603 of file rte_regexdev.h.

  struct rte_device* dev
Device information.

Definition at line 604 of file rte_regexdev.h.

  uint16_t max_matches
Maximum matches per scan supported by this device.

Definition at line 605 of file rte_regexdev.h.

  uint16_t max_queue_pairs
Maximum queue pairs supported by this device.

Definition at line 607 of file rte_regexdev.h.

  uint16_t max_payload_size
Maximum payload size for a pattern match request or scan.

See also
    RTE_REGEXDEV_CFG_CROSS_BUFFER_SCAN_F

Definition at line 609 of file rte_regexdev.h.

  uint16_t max_segs
Maximum number of mbuf segments that can be chained together.

Definition at line 613 of file rte_regexdev.h.

  uint32_t max_rules_per_group
Maximum rules supported per group by this device.

Definition at line 615 of file rte_regexdev.h.

  uint16_t max_groups
Maximum groups supported by this device.

Definition at line 617 of file rte_regexdev.h.

  uint32_t regexdev_capa
RegEx device capabilities.

See also
    RTE_REGEXDEV_CAPA_*

Definition at line 619 of file rte_regexdev.h.

  uint64_t rule_flags
Supported compiler rule flags.

See also
    RTE_REGEX_PCRE_RULE_*, struct rte_regexdev_rule::rule_flags

Definition at line 621 of file rte_regexdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.